/*
Theme Name:     PML Theme
Theme URI:      pml.se
Template: neve
Author:         Mardirossian Media
Author URI:     https://mardirossian.se
Description:    Theme for PML
Version:        1.0.0
License:        GNU General Public License v2 or later
License URI:    http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:    neve
Tags: blog, custom-logo, e-commerce, rtl-language-support, post-formats, grid-layout, one-column, two-columns, custom-background, custom-colors, custom-header, custom-menu, featured-image-header, featured-images, flexible-header, full-width-template, sticky-post, theme-options, threaded-comments, translation-ready, accessibility-ready, wide-blocks, block-styles
*/
html {
    scroll-behavior: smooth;
}
body {
  font-family: 'Space Grotesk', sans-serif;
  font-weight: 400;
}

h1, h2, h3, h4, h5, h6, strong, b {
  font-weight: 500;
}
a {
    color: var(--nv-primary-accent);
    text-decoration: none;
}

a:hover {
    color: var(--nv-secondary-accent);
    text-decoration: none;
}
a#scroll-down {
    border-radius: 40px;
    height: 36px;
    width: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--nv-secondary-accent);
    transform: rotate(180deg);
    float: right;
    margin-top: calc(100dvh - 260px);
}

#about {
  
}

h4 code {
    margin-right: 20px;
    background: transparent;
    border: 0;
    padding: 0;
    font-family: 'Space Grotesk', Arial, Helvetica, sans-serif;
    color: var(--nv-secondary-accent);
}

.about-group {
    max-width: 580px;
    margin: auto;
    padding: 200px 0;
}

.is-layout-flow.wp-block-query {
    width: 100vw;
    margin-left: calc((100% - 100vw) / 2);
    padding: 8px;
}
.is-layout-flow.wp-block-query figure {
    width: 100%;
    /* width: 70vw; */
    max-width: unset;
    margin-left: 0;
    margin-right: 0;
}
.is-layout-flow.wp-block-query li {
    width: 65vw;
    min-width: 850px;
    counter-increment: li-count;
    padding-bottom:200px;
}
.is-layout-flow.wp-block-query li:nth-child(odd) {
    padding-left: 100px;
}
.is-layout-flow.wp-block-query li:nth-child(even) {
    align-self: flex-end;
}
.is-layout-flow.wp-block-query li:last-child {
    padding-bottom:0;
}

.is-layout-flow.wp-block-query li h4 a {
  color: var(--nv-text-color);
}

.is-layout-flow.wp-block-query li .wp-block-read-more {
  color: var(--nv-secondary-accent);
}
.is-layout-flow.wp-block-query li:nth-child(even) .wp-block-read-more {
    padding-right: 50px;
}

.is-layout-flow.wp-block-query li h4:before {
  content: '00' counter( li-count);
  padding-right:20px;
  color: var(--nv-secondary-accent);
}

.wp-block-query ul {
    display: flex;
    flex-direction: column;
}

.title-group .wp-block-group__inner-container {
    display: flex;
    justify-content: space-between;
}

.block-editor-rich-text__editable.block-editor-block-list__block.wp-block-read-more {
    display: none;
}

footer p, footer a {
      color: var(--nv-secondary-accent);
}

button.hamburger.is-active.hamburger--dots.navbar-toggle.active:before {
    content: "Stäng";
    color: var(--nv-dark-bg);
    font-weight: 400;
    font-size:20px;
    /* position: relative; */
    /* top: 20px; */
}

button.hamburger.is-active.hamburger--dots.navbar-toggle.active {
    padding-top: 28px;
    right: 9px;
}

.close-sidebar-panel.navbar-toggle-wrapper {
    max-width: var(--container);
    width: 100%;
    margin: auto;
    justify-self: center;
    position: absolute;
}

div#header-menu-sidebar-bg {
display:grid;
    
}

/*############# VIDEO */
div#hero {
    width: 100vw;
    position: absolute;
    left: 0;
    top: 0;
    height: calc(100dvh - 280px);
    min-height: calc(100dvh - 123px);
    /* overflow: hidden; */
}



.hero-logo.wp-block-site-logo {
    position: absolute;
    top: calc(100dvh - 203px);
}

/*############### VIDEO END */

figure a:hover:after {
  opacity: 1;
  transform: translateX(0);
}
figure a:hover:before {
  opacity: 1;
}
figure a:after {
  margin-left: 0px;
  transition: all 0.5s cubic-bezier(0.8, 0.01, 0.24, 0.99);
  opacity: 0;
  content: url(img/arrow-black.svg);
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateX(-20%);
  pointer-events: none;
}
figure a:before {
    transition: all 0.3s ease-in;
  content: "";
  width: 100%;
  height: 100%;
  background: var(--nv-primary-accent);
  opacity: 0;
  position: absolute;
  left: 0;
  top: 0;
}

span.nav-toggle-label {
    font-size: 20px !important;
    font-weight: 400;
}
span.hamburger-box {
    display: none;
}

/* ######## MENU ######## */

.navbar-toggle:focus {
    outline: none;
}

.nav-menu-primary.submenu-style-plain {
    display: flex;
    justify-content: center;
    align-items: center;
}

div#header-menu-sidebar-inner {
    display: flex;
    align-items: center;
}

.menu-logo {
    position: fixed !important;
    display: block;
    top: 50px;
    content: " ";
}

.menu-logo a {
    content: " " !important;
    color: rgba(0,0,0,0) !important;
    height: 100px;
    top: -5px;
}


.menu-logo a:before {
    content: url(img/logo-menu.svg);
    position: absolute;
    top: 5px;
}


ul#nv-primary-navigation-sidebar li:first-child {
    width: 50%;
}

.nav-ul li {
    align-items: center;    
    display: flex;
}
.nav-ul li a {
    margin-bottom: 0 !important;
    padding: 5px 0 !important;
}
.header-menu-sidebar-inner {
    overflow-x: unset;
    
}

ul#nv-primary-navigation-sidebar li.current-menu-item:before {
    position: absolute;
    content: url(img/small-arrow.svg);
    display: inline-block;
    margin-right: 40px;
    left: -85px;
}

.nv-thumb-wrap:before {
    position: absolute;
    content: url(img/recording-red-symbol.svg);
    position: absolute;
    top: 50%;
    left: 50%;  
    transform: translate(-50%, -50%);
    zoom:1.8;
}

.nv-thumb-wrap {
    position: relative;
    width: 100vw;
    margin-left: calc((100% - 100vw) / 2);
    margin-bottom: 200px;
}

.nv-thumb-wrap img {
    width: 100%;
}

body.page:not(.home) .nv-content-wrap.entry-content {
    max-width:980px;
    margin: auto;
}



body.page:not(.home) .nv-content-wrap.entry-content h5 {
    position: absolute;
    color: var(--nv-secondary-accent);
}

body.page:not(.home) .nv-content-wrap.entry-content p {
    max-width: 830px;
    padding-left: 40px;
    margin: auto;
    padding-right: 40px;
}

body.page:not(.home) .nv-content-wrap.entry-content figure.wp-block-image {
    margin: 100px 0;
}


article.uagb-post__inner-wrap p {
    padding: 0 !important;
}
.wp-block-uagb-post-carousel {
        margin-top: 200px !important;
        margin-bottom: 200px !important;
    }
    
    
    
.wp-block-uagb-post-carousel cite {
    margin-top: 20px !important;
    display: block;
    color: var(--nv-secondary-accent);
    position: absolute;
    margin-left: 30px;
}
.wp-block-uagb-post-carousel p {
    text-align: left;
}

.uagb-post__text.uagb-post-grid-byline {
    display: none;
}

blockquote.wp-block-quote {
    margin-top: 20px;
}

.slick-dots li.slick-active button:before {
    opacity: 1;
    color: #fff !important;
}

.slick-dots li button:before {
    opacity: 1;
    color: var(--nv-secondary-accent)!important;
}
blockquote p {
    max-width: 830px;
    padding-left: 0 !important;
    margin: 0 !important;
    padding-right: 0 !important;
}
blockquote cite {
    padding-top: 20px;
    font-style: normal;
    font-size: .9em!important;
    display: block;
}

#kontakt p {
    font-size: 30px;
    line-height: 36px;
    margin-bottom: 20px;
    padding-left: 100px;
}

#kontakt {
    margin-top: 100px;
}

#kontakt h5 {
    padding-top:10px;
}

.genre-template-default .nv-thumb-wrap {
    display: none;
}

.genre-template-default .nv-single-page-wrap.col {
    max-width: 100%;
}

.genre-template-default h1 {
    text-align: left;
}

.genre-template-default h5 {
    position: absolute;
    color: var(--nv-secondary-accent);
    max-width: 350px;
}

.genre-template-default p {
    max-width: 730px;
   
    
} 

.item--inner.builder-item--logo {
    padding-top: 30px;
}

header .hfg-slot.right {align-items: flex-start;}

button.hamburger.hamburger--dots.navbar-toggle {
    padding-top: 10px;
    background: transparent;
    margin-top: 20px;
    text-align: center;
    border-radius: 20px;
    padding-right: 15px;
}
span.nav-toggle-label {
    margin-right: 0;
}


a#scroll-to-top {
    border-radius: 40px;
    height: 36px;
    width: 36px;
}

.nv-page-title-wrap {
    margin-top: 80px;
}

.page-id-42 h1 {
	font-size: 50px !important;
	line-height: 56px !important;
}

.nav-ul a:hover {
    color: rgba(20,23,28,0.5);
}

header .nv-html-content a {
    width: 100%;
    height: 100%;
    display: flex;
}

header .builder-item.desktop-left.tablet-left.mobile-left {
    position: relative;
    top: 0;
    left: 15px;
    width: 83px;
    align-self: flex-start;
    padding: 0;
    margin-top: 17px;
}

div#header-menu-sidebar-inner {
    display: grid;
    justify-content: flex-start;
    align-items: flex-start;
}

p {
    margin-bottom: 30px !important;
}

td.has-text-align-center {
    border: 0;
    padding: 20px;
}

td.has-text-align-center {
    vertical-align: baseline;
}

a.brand:hover img.neve-site-logo.skip-lazy {
    filter: invert(38%) sepia(87%) saturate(2574%) hue-rotate(318deg) brightness(102%) contrast(98%);
}
button.hamburger.hamburger--dots.navbar-toggle:hover {
    color: var(--nv-primary-accent);
}

.wp-block-spacer.hero-spacer {
    height: calc(100vh - 100px) !important;
}


/* ##################### */
@media (max-width: 1310px) {
    ul#nv-primary-navigation-sidebar li.current-menu-item:before {
        position: relative;
        left: unset;
    }

    
    
}
@media (max-width: 960px) {
    a#scroll-down {
        margin-top: calc(100dvh - 240px);
    }
    header .builder-item.desktop-left.tablet-left.mobile-left {
        position: relative;
        top: 0;
        left: 15px;
        width: 66px;
        align-self: flex-start;
        padding: 0;
        margin-top: 15px;
    }
    .nv-page-title-wrap {
    margin-top: 60px;
}
    .genre-template-default h5 {
        position: absolute;
        color: var(--nv-secondary-accent);
        max-width: 260px;
    }
    
    .genre-template-default p {
        max-width: 550px;
        float: right;
        
    } 
     
    .wp-block-uagb-post-carousel {
        margin-top: 100px !important;
        margin-bottom: 100px !important;
    }


    .nv-thumb-wrap:before {
        zoom:1;
    }
    
    button.hamburger.is-active.hamburger--dots.navbar-toggle.active {
        top: 0;
        padding-top: 24px;
    }
    button.hamburger.is-active.hamburger--dots.navbar-toggle.active:before {
        content: "Stäng"; 
        color: var(--nv-dark-bg);
        font-weight: 400;
        font-size: 16px;
        /* position: relative; */
        /* top: 20px; */
    }
    span.nav-toggle-label {
        font-size: 16px !important;
        font-weight: 400;
    }
        
    figure a:after {
        zoom:0.6;
    }
    
    .about-group {
        max-width: 460px;
        margin: auto;
        padding: 100px 0;
    }

    .is-layout-flow.wp-block-query li:nth-child(even) .wp-block-read-more {
        padding-right: 0px;
    }
    .is-layout-flow.wp-block-query li {
        width: 100%;
        min-width:100%;
        padding-left:0 !important;
        padding-bottom: 100px;
        }
    .is-layout-flow.wp-block-query {
        padding: 15px;
    }

    footer .hfg-grid.row {
        display: flex;
        flex-direction: column;
        padding-top: 100px;
        padding-bottom: 50px;
    }   
    footer p, footer a {
        text-align: center !important;
    }
    footer .hfg-slot.c-left {
        order: -1;
    }
    footer .hfg-slot {
        padding-bottom:50px;
    }
    
    .hero-logo.wp-block-site-logo {
        width: 278px;
        top: calc(100dvh - 183px);
    }
}

@media (max-width: 740px) {
    

    
    .nv-thumb-wrap {
        margin-bottom: 140px;
    }

    .genre-template-default h5 {
        position: absolute;
        color: var(--nv-secondary-accent);
        max-width: 210px;
    }
    
    .genre-template-default p {
        max-width: 450px;
        float: right;
        
    } 
  
    
    button.hamburger.is-active.hamburger--dots.navbar-toggle.active:before {
        font-size: 16px;

    }
    
    
    .menu-logo {
        position: fixed !important;
        display: block;
        top: 20px;
        margin-left: 5px !important;
        content: " ";
    }

    
    .menu-logo a:before {
        
        zoom: 0.8;
    }



    .hero-logo.wp-block-site-logo {
        width: 185px;
        top: calc(100dvh - 153px);
    }

}
@media (max-width: 576px) {
    
    tr {
        display: flex;
        flex-direction: column;

    }
    
    button.hamburger.is-active.hamburger--dots.navbar-toggle.active {
        padding-right: 0px;
    }
    
    #kontakt {
        margin-top: 80px;
    }
    
    .genre-template-default h5 {
        position: inherit;
        max-width: 100%
    }
    
    .genre-template-default p {
        max-width: 100%;
        float: inherit;
        
    } 
        
#kontakt p {
    font-size: 24px;
    line-height: 29px;
    margin-bottom: 20px;
    padding-left: 0px;
}

#kontakt h5 {
    position: inherit;
    margin-bottom:10px !important;
}
    
    body.page:not(.home) .nv-content-wrap.entry-content p {
    max-width: 830px;
    padding-left: 40px;
    margin: auto;
    padding-right: 0px;
}
  ul#nv-primary-navigation-sidebar li.current-menu-item:before {
      padding-top:10px;
        zoom: 0.6;
    }
    
}